<template>
  <div class="green-gradient-primary lg:pb-100px pb-30px">
    <div
      class="
        w-4/5
        mx-auto
        container
        grid
        gap-4
        h-full
        text-tiny
        grid-cols-1
        lg:grid-cols-3
      "
    >
      <div
        class="bg-white shadow-md p-5 md:p-32px rounded-xl text-sm md:text-tiny"
      >
        <div class="text-2xl md:text-3xl mb-24px">THANK YOU</div>
        <div class="flex mb-32px">
          <span class="text-green-600 material-icons icon24 mr-16px">call</span>
          063 192 4288
        </div>
        <div class="flex break-all mb-32px">
          <span class="text-green-600 material-icons icon24 mr-16px">
            mail
          </span>
          admin@freshliving.co.th
        </div>
        <div class="flex">
          <span class="text-green-600 material-icons icon24 mr-16px">
            place
          </span>
          <div>
            เฟรชลีฟวิ่ง 15/2 หมู่8 ต.คลองหนึ่ง, อ.คลองหลวง, ปทุมธานี Thailand
            12120
            <br />
            <span class="underline"> 14.074203, 100.631041 </span>
          </div>
        </div>
      </div>

      <div class="shadow-md lg:col-span-2 p-32px rounded-xl bg-black-10">
        <div class="text-2xl md:text-3xl pb-21px">How can we help you?</div>
        <form
          class="
            grid grid-cols-1
            text-sm
            lg:grid-cols-2
            gap-24px
            text-black-300
          "
        >
          <div class="flex flex-col">
            <label class="pb-8px" for="fname">First name</label>
            <input
              type="text"
              placeholder="Input first name"
              v-model="first_name"
            />
          </div>
          <div class="flex flex-col">
            <label class="pb-8px" for="lname">Last name</label>
            <input
              type="text"
              placeholder="Input last name"
              v-model="last_name"
            />
          </div>
          <div class="flex flex-col lg:col-span-2">
            <label class="pb-8px" for="lname">Email</label>
            <input type="text" placeholder="Input email" v-model="email" />
          </div>
          <div class="flex flex-col lg:col-span-2">
            <label class="pb-8px" for="lname">Topic title</label>
            <input type="text" placeholder="Input topic" v-model="topic" />
          </div>
          <div class="flex flex-col lg:col-span-2">
            <label class="pb-8px" for="lname">Additional details</label>
            <textarea
              rows="3"
              placeholder="Additional details"
              v-model="details"
            />
          </div>
          <button
            class="
              bg-blue-400
              text-white
              focus:outline-none
              shadow-lg
              p-16px
              rounded-500px
              sm:w-218px
              text-black-400
              lg:col-span-2
              justify-self-end
              mt-16px
              focus:outline-none
            "
            @click="submit"
          >
            Send message
          </button>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      first_name: "",
      last_name: "",
      email: "",
      topic: "",
      details: "",
    }
  },
  methods: {
    submit() {
      console.log("this.first_name => ", this.first_name)
      console.log("this.last_name => ", this.last_name)
      console.log("this.email => ", this.email)
      console.log("this.topic => ", this.topic)
      console.log("this.details => ", this.details)
    },
  },
}
</script>

<style></style>
